--- linux-2.6.27.6/drivers/parport/daisy.c	2008-11-14 01:56:21.000000000 +0800
+++ linux-2.6.27.6.yaffs/drivers/parport/daisy.c	2011-05-08 18:00:38.000000000 +0800
@@ -103,6 +103,7 @@
 
 	/* If mux present on normal port, need to create new
 	 * parports for each extra port. */
+//printk("--1---------------hah--mj:%s---\n",__func__);
 	if (port->muxport < 0 && mux_present(port) &&
 	    /* don't be fooled: a mux must have 2 or 4 ports. */
 	    ((num_ports = num_mux_ports(port)) == 2 || num_ports == 4)) {
@@ -137,10 +138,13 @@
 	if (port->muxport >= 0)
 		select_port(port);
 
+//printk("--2---------------hah--mj:%s---\n",__func__);
 	parport_daisy_deselect_all(port);
+//printk("--3---------------hah--mj:%s---\n",__func__);
 	detected += assign_addrs(port);
 
 	/* Count the potential legacy device at the end. */
+//printk("--4---------------hah--mj:%s---\n",__func__);
 	add_dev(numdevs++, port, -1);
 
 	/* Find out the legacy device's IEEE 1284 device ID. */
@@ -157,6 +161,7 @@
                    funny state; let's try to reset them and see if
                    they wake up. */
 		parport_daisy_fini(port);
+//printk("--5---------------hah--mj:%s---\n",__func__);
 		parport_write_control(port, PARPORT_CONTROL_SELECT);
 		udelay(50);
 		parport_write_control(port,
